gstreamermm: Gst::TextOverlay Class Reference

gstreamermm 0.10.10.2

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gst::TextOverlay Class Reference
gstreamermm Plugins

A Wrapper for the textoverlay plugin. More...

Inheritance diagram for Gst::TextOverlay:
[legend]
Collaboration diagram for Gst::TextOverlay:
[legend]

List of all members.

## Public Member Functions
virtual | ~TextOverlay ()
GstTextOverlay* | gobj ()
| Provides access to the underlying C GObject.
const GstTextOverlay* | gobj () const
| Provides access to the underlying C GObject.
GstTextOverlay* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Glib::ustring > | property_text ()
| Text to be display.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_text () const
| Text to be display.
Glib::PropertyProxy< bool > | property_shaded_background ()
| Whether to shade the background under the text area.
Glib::PropertyProxy_ReadOnly < bool > | property_shaded_background () const
| Whether to shade the background under the text area.
Glib::PropertyProxy_WriteOnly < Glib::ustring > | property_valign ()
| Vertical alignment of the text (deprecated; use valignment).
Glib::PropertyProxy_WriteOnly < Glib::ustring > | property_halign ()
| Horizontal alignment of the text (deprecated; use halignment).
Glib::PropertyProxy < Gst::TextOverlayHAlign > | property_halignment ()
| Horizontal alignment of the text.
Glib::PropertyProxy_ReadOnly < Gst::TextOverlayHAlign > | property_halignment () const
| Horizontal alignment of the text.
Glib::PropertyProxy < Gst::TextOverlayVAlign > | property_valignment ()
| Vertical alignment of the text.
Glib::PropertyProxy_ReadOnly < Gst::TextOverlayVAlign > | property_valignment () const
| Vertical alignment of the text.
Glib::PropertyProxy< int > | property_xpad ()
| Horizontal paddding when using left/right alignment.
Glib::PropertyProxy_ReadOnly< int > | property_xpad () const
| Horizontal paddding when using left/right alignment.
Glib::PropertyProxy< int > | property_ypad ()
| Vertical padding when using top/bottom alignment.
Glib::PropertyProxy_ReadOnly< int > | property_ypad () const
| Vertical padding when using top/bottom alignment.
Glib::PropertyProxy< int > | property_deltax ()
| Shift X position to the left or to the right.
Glib::PropertyProxy_ReadOnly< int > | property_deltax () const
| Shift X position to the left or to the right.
Glib::PropertyProxy< int > | property_deltay ()
| Shift Y position up or down.
Glib::PropertyProxy_ReadOnly< int > | property_deltay () const
| Shift Y position up or down.
Glib::PropertyProxy< double > | property_xpos ()
| Horizontal position when using position alignment.
Glib::PropertyProxy_ReadOnly < double > | property_xpos () const
| Horizontal position when using position alignment.
Glib::PropertyProxy< double > | property_ypos ()
| Vertical position when using position alignment.
Glib::PropertyProxy_ReadOnly < double > | property_ypos () const
| Vertical position when using position alignment.
Glib::PropertyProxy < Gst::TextOverlayWrapMode > | property_wrap_mode ()
| Whether to wrap the text and if so how.
Glib::PropertyProxy_ReadOnly < Gst::TextOverlayWrapMode > | property_wrap_mode () const
| Whether to wrap the text and if so how.
Glib::PropertyProxy_WriteOnly < Glib::ustring > | property_font_desc ()
| Pango font description of font to be used for rendering.
Glib::PropertyProxy< bool > | property_silent ()
| Whether to render the text string.
Glib::PropertyProxy_ReadOnly < bool > | property_silent () const
| Whether to render the text string.
Glib::PropertyProxy < Gst::TextOverlayLineAlign > | property_line_alignment ()
| Alignment of text lines relative to each other.
Glib::PropertyProxy_ReadOnly < Gst::TextOverlayLineAlign > | property_line_alignment () const
| Alignment of text lines relative to each other.
Glib::PropertyProxy< bool > | property_wait_text ()
| Whether to wait for subtitles.
Glib::PropertyProxy_ReadOnly < bool > | property_wait_text () const
| Whether to wait for subtitles.
Glib::PropertyProxy< bool > | property_auto_resize ()
| Automatically adjust font size to screen-size.
Glib::PropertyProxy_ReadOnly < bool > | property_auto_resize () const
| Automatically adjust font size to screen-size.
Glib::PropertyProxy< bool > | property_vertical_render ()
| Vertical Render.
Glib::PropertyProxy_ReadOnly < bool > | property_vertical_render () const
| Vertical Render.
Glib::PropertyProxy< guint > | property_color ()
| Color to use for text (big-endian ARGB).
Glib::PropertyProxy_ReadOnly < guint > | property_color () const
| Color to use for text (big-endian ARGB).
Glib::PropertyProxy< bool > | property_shadow ()
| Whether to create a shadow of the letters under the text.
Glib::PropertyProxy_ReadOnly < bool > | property_shadow () const
| Whether to create a shadow of the letters under the text.
Glib::PropertyProxy< guint > | property_outline_color ()
| Color to use for outline the text (big-endian ARGB).
Glib::PropertyProxy_ReadOnly < guint > | property_outline_color () const
| Color to use for outline the text (big-endian ARGB).
## Static Public Member Functions
static Glib::RefPtr< TextOverlay > | create ()
| Creates a new textoverlay plugin with a unique name.
static Glib::RefPtr< TextOverlay > | create (const Glib::ustring& name)
| Creates a new textoverlay plugin with the given name.
## Protected Member Functions
| TextOverlay ()
| TextOverlay (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::TextOverlay > | wrap (GstTextOverlay* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the textoverlay plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::TextOverlay::~TextOverlay | ( |  | ) | `[virtual]`

Gst::TextOverlay::TextOverlay | ( |  | ) | `[protected]`

Gst::TextOverlay::TextOverlay | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<TextOverlay> Gst::TextOverlay::create | ( |  | ) | `[static]`

Creates a new textoverlay plugin with a unique name.

Reimplemented in Gst::ClockOverlay, and Gst::TimeOverlay.

static Glib::RefPtr<TextOverlay> Gst::TextOverlay::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new textoverlay plugin with the given name.

Reimplemented in Gst::ClockOverlay, and Gst::TimeOverlay.

GstTextOverlay* Gst::TextOverlay::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

Reimplemented in Gst::ClockOverlay, and Gst::TimeOverlay.

const GstTextOverlay* Gst::TextOverlay::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

Reimplemented in Gst::ClockOverlay, and Gst::TimeOverlay.

GstTextOverlay* Gst::TextOverlay::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::Element.

Reimplemented in Gst::ClockOverlay, and Gst::TimeOverlay.

Glib::PropertyProxy< bool > Gst::TextOverlay::property_auto_resize | ( |  | ) |

Automatically adjust font size to screen-size.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::TextOverlay::property_auto_resize | ( |  | ) | const

Automatically adjust font size to screen-size.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint > Gst::TextOverlay::property_color | ( |  | ) |

Color to use for text (big-endian ARGB).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint > Gst::TextOverlay::property_color | ( |  | ) | const

Color to use for text (big-endian ARGB).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::TextOverlay::property_deltax | ( |  | ) |

Shift X position to the left or to the right.

Unit is pixels.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::TextOverlay::property_deltax | ( |  | ) | const

Shift X position to the left or to the right.

Unit is pixels.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::TextOverlay::property_deltay | ( |  | ) |

Shift Y position up or down.

Unit is pixels.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::TextOverlay::property_deltay | ( |  | ) | const

Shift Y position up or down.

Unit is pixels.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly< Glib::ustring > Gst::TextOverlay::property_font_desc | ( |  | ) |

Pango font description of font to be used for rendering.

See documentation of pango_font_description_from_string for syntax.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly< Glib::ustring > Gst::TextOverlay::property_halign | ( |  | ) |

Horizontal alignment of the text (deprecated; use halignment).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gst::TextOverlayHAlign > Gst::TextOverlay::property_halignment | ( |  | ) |

Horizontal alignment of the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gst::TextOverlayHAlign > Gst::TextOverlay::property_halignment | ( |  | ) | const

Horizontal alignment of the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gst::TextOverlayLineAlign > Gst::TextOverlay::property_line_alignment | ( |  | ) |

Alignment of text lines relative to each other.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gst::TextOverlayLineAlign > Gst::TextOverlay::property_line_alignment | ( |  | ) | const

Alignment of text lines relative to each other.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint > Gst::TextOverlay::property_outline_color | ( |  | ) |

Color to use for outline the text (big-endian ARGB).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint > Gst::TextOverlay::property_outline_color | ( |  | ) | const

Color to use for outline the text (big-endian ARGB).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::TextOverlay::property_shaded_background | ( |  | ) |

Whether to shade the background under the text area.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::TextOverlay::property_shaded_background | ( |  | ) | const

Whether to shade the background under the text area.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::TextOverlay::property_shadow | ( |  | ) |

Whether to create a shadow of the letters under the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::TextOverlay::property_shadow | ( |  | ) | const

Whether to create a shadow of the letters under the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::TextOverlay::property_silent | ( |  | ) |

Whether to render the text string.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::TextOverlay::property_silent | ( |  | ) | const

Whether to render the text string.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gst::TextOverlay::property_text | ( |  | ) |

Text to be display.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gst::TextOverlay::property_text | ( |  | ) | const

Text to be display.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly< Glib::ustring > Gst::TextOverlay::property_valign | ( |  | ) |

Vertical alignment of the text (deprecated; use valignment).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gst::TextOverlayVAlign > Gst::TextOverlay::property_valignment | ( |  | ) |

Vertical alignment of the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gst::TextOverlayVAlign > Gst::TextOverlay::property_valignment | ( |  | ) | const

Vertical alignment of the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::TextOverlay::property_vertical_render | ( |  | ) |

Vertical Render.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::TextOverlay::property_vertical_render | ( |  | ) | const

Vertical Render.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::TextOverlay::property_wait_text | ( |  | ) |

Whether to wait for subtitles.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::TextOverlay::property_wait_text | ( |  | ) | const

Whether to wait for subtitles.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gst::TextOverlayWrapMode > Gst::TextOverlay::property_wrap_mode | ( |  | ) |

Whether to wrap the text and if so how.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gst::TextOverlayWrapMode > Gst::TextOverlay::property_wrap_mode | ( |  | ) | const

Whether to wrap the text and if so how.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::TextOverlay::property_xpad | ( |  | ) |

Horizontal paddding when using left/right alignment.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::TextOverlay::property_xpad | ( |  | ) | const

Horizontal paddding when using left/right alignment.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< double > Gst::TextOverlay::property_xpos | ( |  | ) |

Horizontal position when using position alignment.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< double > Gst::TextOverlay::property_xpos | ( |  | ) | const

Horizontal position when using position alignment.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::TextOverlay::property_ypad | ( |  | ) |

Vertical padding when using top/bottom alignment.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::TextOverlay::property_ypad | ( |  | ) | const

Vertical padding when using top/bottom alignment.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< double > Gst::TextOverlay::property_ypos | ( |  | ) |

Vertical position when using position alignment.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< double > Gst::TextOverlay::property_ypos | ( |  | ) | const

Vertical position when using position alignment.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::TextOverlay > wrap | ( | GstTextOverlay * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/textoverlay.h